Bug 759321 - psacct logrotate script references init.d service
Summary: psacct logrotate script references init.d service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: psacct
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 802434 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-02 00:40 UTC by Robert Buffington
Modified: 2016-02-01 01:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 00:49:52 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Buffington 2011-12-02 00:40:48 UTC
Description of problem:
logrotate script 'psacct' rotates /var/account/psacct, but psacct keeps writing to the newly renamed file.

Additional info:
/etc/logrotate.d/psacct script still references init.d service, which does not exist:

    postrotate
       if /etc/init.d/psacct status >/dev/null 2>&1; then
           /usr/sbin/accton /var/account/pacct
       fi
    endscript

therefore psacct does not reload and begin writing to the new /var/account/paacct file.

Comment 1 Hui Chen 2012-03-12 14:44:35 UTC
*** Bug 802434 has been marked as a duplicate of this bug. ***

Comment 2 Ian Donaldson 2012-03-19 08:51:42 UTC
Here is my replacement script which also includes a workaround to the spam
issue provided in https://bugzilla.redhat.com/show_bug.cgi?id=735300

--
# Logrotate file for psacct RPM

/var/account/pacct {
    compress
    delaycompress
    notifempty
    daily
    rotate 31
    create 0600 root root
    postrotate
       if systemctl --quiet is-active psacct.service
       then
           /usr/sbin/accton /var/account/pacct | grep -v "Turning on" | cat
       fi
    endscript
}

--

Comment 3 Fedora End Of Life 2013-01-16 13:58:37 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jaromír Cápík 2013-01-16 15:56:12 UTC
Hello guys.

Sorry for the delay.

Ian, I've merged your changes together with changes made by Bill McGonigle to the logrotate .in file and modified the spec file accordingly.

Thank you all for the report and help.

Regards,
Jaromir.

Comment 5 Fedora Update System 2013-01-16 17:35:21 UTC
psacct-6.5.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/psacct-6.5.5-6.fc17

Comment 6 Fedora Update System 2013-01-16 17:35:46 UTC
psacct-6.5.5-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/psacct-6.5.5-8.fc18

Comment 7 Fedora Update System 2013-01-18 20:36:44 UTC
Package psacct-6.5.5-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing psacct-6.5.5-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0944/psacct-6.5.5-8.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-30 00:49:54 UTC
psacct-6.5.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-30 00:52:17 UTC
psacct-6.5.5-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.